%define name abuledu-tableaux
%define version 6
%define release 3
%define execname tableaux.tcl
%define execpublicname tableaux
%define abuledu_dest /usr/share/abuledu/applications

Summary: Tableaux a double entree
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://intranet.abuledu.org/~abuledu_david/%{name}-%{version}.tgz
Source1:    %{name}-16.png.bz2
Source2:    %{name}-32.png.bz2
Source3:   %{name}-48.png.bz2
License: GPL 2
Group: AbulEdu
Url: http://www.abuledu.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: tcl > 8.3, tk > 8.3

%description
Tableaux à double entrée

%prep
%setup

%build
cat > lanceur << EOF
#!/bin/sh
(
cd %{abuledu_dest}/%{name}
./%{execname}
)
EOF
chmod 755 lanceur

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{abuledu_dest}/%{name}
cp -a * $RPM_BUILD_ROOT%{abuledu_dest}/%{name}/
#mkdir -p $RPM_BUILD_ROOT/var/leterrier/%{execpublicname}
cp -a * $RPM_BUILD_ROOT%{abuledu_dest}/%{name}/

install -c lanceur $RPM_BUILD_ROOT%{_bindir}/%{execpublicname}
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{execpublicname}"\
title="%{name}"\
longtitle="%{name}"\
needs="x11"\
icon="%{name}.png"\
section="AbulEdu"
EOF
)
 
%post
cp -a %{abuledu_dest}/%{name}/runbrowser /usr/bin
rm -f %{abuledu_dest}/%{name}/runbrowser

%{update_menus}
  
%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc readme.fr
%{_bindir}/%{execpublicname}
%{_menudir}/*
# icons
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %{abuledu_dest}/%{name}/
%{abuledu_dest}/%{name}/*
%attr(755, root, root) %{abuledu_dest}/%{name}/%{execname}
#%attr(1777, root, root) /var/leterrier/%{execpublicname}

%changelog
* Sat Mar 31 2006 andre Connes <andre.connes@toulouse.iufm.fr> 6.3
- revision cosmetique (tetes, icones, suppression du superflu)
- revision de la traduction anglaise (merci s.mcsherry)
- réduction du plein écran
- images sourire et pleurer (suppression des images gros$didacticiels)
* Sun Dec 25 2005 andre Connes <andre.connes@toulouse.iufm.fr> 5.12
Remarque : le numero de version fait maintenant reference a la date YY.MM (directive d'Eric)
- correction nom d'utilisateur sous windows (en particulier XP)
- plein ecran non redimensionnalisable
- duree ajoutee dans les traces sous winXP
- correction bug lors de l'appel de l'aide sous GNU/Linux
- correction bug lors de l'appel de l'aide et du bilan sous winXP
- remplacement du module msg.tcl : la prise en compte des accents (merci David)

* Mon Sep 19 2005 Andre Connes <andre.connes@toulouse.iufm.fr> 1.4-9
- aide et messages en italien (merci qui ?)
* Sat Mar 26 2005 Andre Connes <andre.connes@toulouse.iufm.fr> 1.4-8
- bilan en html
* Sun Mar 06 2005 Andre Connes <andre.connes@toulouse.iufm.fr> 1.4-7
- correction bug : lorsqu'il y a erreur dans tableau4.tcl
- permutation lettre-chiffre dans codage de tableau4.tcl (demande utilisateur)
* Tue Aug 31 2004 Andre Connes <andre.connes@toulouse.iufm.fr> 1.4-5
- correction bug : nom sous windows
* Sat Aug 28 2004 Andre Connes <andre.connes@toulouse.iufm.fr> 1.4-4
- source aider.tcl pour la procédure aider
* Sat Aug 28 2004 Andre Connes <andre.connes@toulouse.iufm.fr> 1.4-3
- adaptation de la procedure aider pour windwos
* Wed Aug 25 2004 Andre Connes <andre.connes@toulouse.iufm.fr> 1.4-2
- ajout de la procédure aider (avec la montre pour patienter et la prise en charge de la langue !)

* Mon Aug 23 2004 Andre Connes <andre.connes@toulouse.iufm.fr> 1.4-1
- ajout menu langue
- sous windows, le répertoire des traces devient <dir_tableaux>\tableaux\log

* Wed Aug 18 2004 Andre Connes <andre.connes@toulouse.iufm.fr> 1.2-2
- correction (?) bug dans tableau1.tcl :
  on commencait par la 2e figure, on ne pouvait avoir que 4/5

* Mon Aug 16 2004 Andre Connes <andre.connes@toulouse.iufm.fr> 1.2-1
- ajout du menu fichier > bilan
- passage automatique à l'activité suivante

* Mon May 03 2004 Andre Connes <andre.connes@toulouse.iufm.fr> 1.0.5-2
- modification de path.tcl : appel de ./runbrowser (le point)
- ajout de la porte de sortie dans le 2e menu

* Sat May 01 2004 Andre Connes <andre.connes@toulouse.iufm.fr> 1.0.5-1
- intégration des normes d'avril 2004 (après réunion CVS) 

* Thu Jan 15 2004 Andre Connes <andre.connes@toulouse.iufm.fr> 1.0.4-1
- small buttons in initial menu

* Mon Jun  2 2003 Eric Seigne <erics@rycks.com> 0.99-10
- remove mkdir and cp -a (doublon), update var chattr value

* Sun May 11 2003 Eric Seigne <erics@rycks.com> 0.99-8
- New version

* Sat Feb 15 2003 Eric Seigne <erics@rycks.com> 0.99-7
- New version

* Sun Nov 24 2002 Eric Seigne <erics@rycks.com> 0.99-6
- First Release
